Together AI SDK (v2)
from together import Together
client = Together()
deployments = client.beta.jig.list()
print(deployments)import Together from "together-ai";
const client = new Together();
const deployments = await client.beta.jig.list();
console.log(deployments);import Together from "together-ai";
const client = new Together();
const deployments = await client.beta.jig.list();
console.log(deployments);curl -X GET \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
https://api.together.ai/v1/deployments
{
"data": [
{
"args": [
"<string>"
],
"autoscaling": {
"metric": "HTTPTotalRequests",
"target": 100,
"time_interval_minutes": 10
},
"command": [
"<string>"
],
"cpu": 123,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"desired_replicas": 123,
"environment_variables": [
{
"name": "<string>",
"value": "<string>",
"value_from_secret": "<string>"
}
],
"gpu_count": 123,
"health_check_path": "<string>",
"id": "<string>",
"image": "<string>",
"max_replicas": 123,
"memory": 123,
"min_replicas": 123,
"name": "<string>",
"object": "<unknown>",
"port": 123,
"ready_replicas": 123,
"replica_events": {},
"storage": 123,
"termination_grace_period_seconds": 123,
"updated_at": "2023-11-07T05:31:56Z",
"volumes": [
{
"mount_path": "<string>",
"name": "<string>",
"version": 123
}
]
}
],
"object": "<unknown>"
}{}Deployments
Get the list of deployments
Get a list of all deployments in your project
GET
/
deployments
Together AI SDK (v2)
from together import Together
client = Together()
deployments = client.beta.jig.list()
print(deployments)import Together from "together-ai";
const client = new Together();
const deployments = await client.beta.jig.list();
console.log(deployments);import Together from "together-ai";
const client = new Together();
const deployments = await client.beta.jig.list();
console.log(deployments);curl -X GET \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
https://api.together.ai/v1/deployments
{
"data": [
{
"args": [
"<string>"
],
"autoscaling": {
"metric": "HTTPTotalRequests",
"target": 100,
"time_interval_minutes": 10
},
"command": [
"<string>"
],
"cpu": 123,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"desired_replicas": 123,
"environment_variables": [
{
"name": "<string>",
"value": "<string>",
"value_from_secret": "<string>"
}
],
"gpu_count": 123,
"health_check_path": "<string>",
"id": "<string>",
"image": "<string>",
"max_replicas": 123,
"memory": 123,
"min_replicas": 123,
"name": "<string>",
"object": "<unknown>",
"port": 123,
"ready_replicas": 123,
"replica_events": {},
"storage": 123,
"termination_grace_period_seconds": 123,
"updated_at": "2023-11-07T05:31:56Z",
"volumes": [
{
"mount_path": "<string>",
"name": "<string>",
"version": 123
}
]
}
],
"object": "<unknown>"
}{}Was this page helpful?
⌘I